From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1536506-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (2048 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id 457D715800D
	for <garchives@archives.gentoo.org>; Mon, 10 Jul 2023 18:10:47 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id 891FFE0893;
	Mon, 10 Jul 2023 18:10:46 +0000 (UTC)
Received: from smtp.gentoo.org (woodpecker.gentoo.org [IPv6:2001:470:ea4a:1:5054:ff:fec7:86e4])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id 7381EE0893
	for <gentoo-commits@lists.gentoo.org>; Mon, 10 Jul 2023 18:10:46 +0000 (UTC)
Received: from oystercatcher.gentoo.org (oystercatcher.gentoo.org [148.251.78.52])
	(using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits)
	 key-exchange X25519 server-signature RSA-PSS (4096 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id B96CA340DCB
	for <gentoo-commits@lists.gentoo.org>; Mon, 10 Jul 2023 18:10:45 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id 8F915AD6
	for <gentoo-commits@lists.gentoo.org>; Mon, 10 Jul 2023 18:10:42 +0000 (UTC)
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Hans de Graaff" <graaff@gentoo.org>
Message-ID: <1689012637.83ee6fd6e79af5fa0e88d0dcea1c53b26b34acb5.graaff@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sqlite3/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-ruby/sqlite3/sqlite3-1.6.3-r1.ebuild
X-VCS-Directories: dev-ruby/sqlite3/
X-VCS-Committer: graaff
X-VCS-Committer-Name: Hans de Graaff
X-VCS-Revision: 83ee6fd6e79af5fa0e88d0dcea1c53b26b34acb5
X-VCS-Branch: master
Date: Mon, 10 Jul 2023 18:10:42 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Auto-Response-Suppress: DR, RN, NRN, OOF, AutoReply
X-Archives-Salt: a66de934-43a6-467d-8954-b0f6d3795c2d
X-Archives-Hash: 1cbb6a5432cf1dc3866fee9132e979f3

commit:     83ee6fd6e79af5fa0e88d0dcea1c53b26b34acb5
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 10 18:09:31 2023 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Jul 10 18:10:37 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83ee6fd6

dev-ruby/sqlite3: avoid dependency on mini_portile2

Closes: https://bugs.gentoo.org/910181
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/sqlite3/sqlite3-1.6.3-r1.ebuild | 53 ++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)

diff --git a/dev-ruby/sqlite3/sqlite3-1.6.3-r1.ebuild b/dev-ruby/sqlite3/sqlite3-1.6.3-r1.ebuild
new file mode 100644
index 000000000000..ba4ed4569046
--- /dev/null
+++ b/dev-ruby/sqlite3/sqlite3-1.6.3-r1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_TASK_DOC="faq"
+RUBY_FAKEGEM_DOCDIR="doc faq"
+RUBY_FAKEGEM_EXTRADOC="API_CHANGES.md README.md ChangeLog.cvs CHANGELOG.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/sqlite3/extconf.rb)
+RUBY_FAKEGEM_EXTENSION_LIBDIR=lib/sqlite3
+
+inherit ruby-fakegem
+
+DESCRIPTION="An extension library to access a SQLite database from Ruby"
+HOMEPAGE="https://github.com/sparklemotion/sqlite3-ruby"
+LICENSE="BSD"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+SLOT="0"
+IUSE=""
+
+# We track the bundled sqlite version here
+RDEPEND+=" >=dev-db/sqlite-3.41.2:3"
+DEPEND+=" >=dev-db/sqlite-3.41.2:3"
+
+ruby_add_bdepend "
+	doc? ( dev-ruby/rdoc dev-ruby/redcloth )
+	test? ( dev-ruby/minitest:5 )
+"
+
+all_ruby_prepare() {
+	sed -i -e 's/enable_config("system-libraries")/true/' ext/sqlite3/extconf.rb || die
+
+	# Remove the runtime dependency on mini_portile2. We build without
+	# it and it is not a runtime dependency for us.
+	sed -i -e '/^dependencies:/,/force_ruby_platform/d' ../metadata || die
+}
+
+all_ruby_compile() {
+	all_fakegem_compile
+
+	if use doc; then
+		rdoc --title "${P} Documentation" -o doc --main README.rdoc lib *.rdoc ext/*/*.c || die
+		rm -f doc/js/*.gz || die
+	fi
+}
+
+each_ruby_test() {
+	${RUBY} -Ilib:test:. -e 'Dir["test/test_*.rb"].each{|f| require f}' || die
+}